<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:saxon="http://icl.com/saxon"
		version="1.0"
		extension-element-prefixes="saxon">

<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/profile-docbook.xsl"/>
<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/autoidx-ng.xsl"/>

<xsl:output encoding="utf-8" saxon:character-representation="native"/>

<xsl:param name="use.extensions" select="1"/>

<xsl:param name="section.autolabel" select="1"/>
<xsl:param name="section.label.includes.component.label" select="1"/>
<xsl:param name="chapter.autolabel" select="1"/>
<xsl:param name="appendix.autolabel" select="1"/>
<xsl:param name="part.autolabel" select="1"/>
<xsl:param name="preface.autolabel" select="0"/>

<xsl:template name="user.head.content">
  <style type="text/css">
    html { font-family: Verdana, sans-serif; }
    .screen, .programlisting { background-color: silver; padding: 4px; }
    .title, .subtitle { color: navy; }
    .menuchoice, .guimenu, .guisubmenu, .guimenuitem { font-weight: bold; }
    .guibutton { background-color: silver; padding: 2px; }
  </style>
</xsl:template>

<xsl:template match="tag[not(@class) or (@class='element')][not(@condition = 'nolink')]">
  <xsl:variable name="baseUri">
    <xsl:choose>
      <xsl:when test="@condition = 'v4'">http://docbook.org/tdg/en/html/</xsl:when>
      <xsl:otherwise>http://docbook.org/tdg5/en/html/</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <a href="{$baseUri}{.}.html">
    <xsl:apply-imports/>
  </a>
</xsl:template>
  
</xsl:stylesheet>
